%define section   free
%define base_name commons-messenger
%define jakarta_version 1.0

Name:           jakarta-%{base_name}
Version:        %{jakarta_version}.d10
Release:        1jpp
Epoch:          0
Summary:        Commons Messenger JMS framework 

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://jakarta.apache.org/commons/sandbox/messenger/
Source0:        http://cvs.apache.org/builds/jakarta-commons/nightly/commons-messenger/commons-messenger-src-20040113.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  jakarta-commons-logging >= 0:1.0.3
BuildRequires:  jakarta-commons-beanutils >= 0:1.6.1
BuildRequires:  jakarta-commons-collections >= 0:2.1
BuildRequires:  jakarta-commons-digester >= 0:1.5
BuildRequires:  servletapi4 >= 0:4.0.4
BuildRequires:  jms >= 0:1.1
BuildRequires:  jta >= 0:1.0.1
BuildRequires:  xml-commons-apis >= 0:1.0
Requires:       jakarta-commons-logging >= 0:1.0.3
Requires:       jakarta-commons-beanutils >= 0:1.6.1
Requires:       jakarta-commons-collections >= 0:2.1
Requires:       jakarta-commons-digester >= 0:1.5
Requires:       servletapi4 >= 0:4.0.4
Requires:       jms >= 0:1.1
Requires:       jta >= 0:1.0.1
Requires:       xml-commons-apis >= 0:1.0
Requires:       jaxp_parser_impl

%description
Messenger is a JMS (Java Message Service) framework which makes it 
very easy to use JMS in Web Service and Web Application environments. 
Messenger implements session pooling (which can be quite hard to do 
with JMS) which makes JMS very easy to work with. Also Messenger hides 
much of the complexity of JMS behind a simple facade API, the Messenger 
interface. 
In addition Messenger provides an XML deployment configuration file to 
avoid having to litter your code with complex deployment configuration 
details in your application code. 
Messenger also provides a Messagelet Engine which is a JMS based 
container that can be deployed in any Servlet Engine to process JMS 
messages via MessageListeners, Message Driven Objects, Servlets or JSP. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -n %{base_name}

%build
export CLASSPATH=$(build-classpath jakarta-commons-logging-api \
jakarta-commons-logging jakarta-commons-beanutils jakarta-commons-collections \
jakarta-commons-digester servletapi4 jms jta xml-commons-apis junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only test dist

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}-%{jakarta_version}-dev-10.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}-%{version}.jar
ln -s %{base_name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{base_name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt RELEASE-NOTES.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Mon Jan 19 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.d10-1jpp
- First JPackage release
